%define major   1
%define lib_name %mklibname svg-cairo %major
%define devel_name %mklibname svg-cairo -d

Name:             libsvg-cairo
Summary:          A SVG library based on cairo
Version:	0.1.6
Release:	%mkrel 15
License:          BSD
Group:            System/Libraries
Source:           %{name}-%{version}.tar.bz2
URL:              http://cairographics.org/snapshots/
BuildRequires:    libsvg-devel
BuildRequires:    cairo-devel
BuildRequires:    jpeg-devel

%description
Libsvg-cairo provides the ability to render SVG content from files or
buffers. All rendering is performed using the cairo rendering library.

%package -n %{lib_name}
Summary:          A SVG library based on cairo
Group:            System/Libraries

%description -n %{lib_name}
Libsvg-cairo provides the ability to render SVG content from files or
buffers. All rendering is performed using the cairo rendering library.

%package -n %{devel_name}
Summary:          Libraries and include files for developing with libsvg
Group:            Development/C
Requires:         %{lib_name} = %{version}
Provides:         %{name}-devel = %{version}
Provides:         lib%{name}-devel = %{version}

%description -n %{devel_name}
This package provides the necessary development libraries and include
files to allow you to develop with libsvg-cairo.


%prep
%setup -q

%build
export LIBS="-lm"
%configure2_5x --disable-static
%make

%install
%makeinstall
find $RPM_BUILD_ROOT -type f -name "*.la" -delete

%files -n %{lib_name}
%doc AUTHORS COPYING ChangeLog NEWS README
%{_libdir}/*.so.%{major}*

%files -n %{devel_name}
%{_libdir}/*.so
%{_includedir}/*
%{_libdir}/pkgconfig/libsvg-cairo.pc





%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.1.6-15.mga3
+ Revision: 358229
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 06 2011 dmorgan <dmorgan> 0.1.6-14.mga3
+ Revision: 164279
+ rebuild (emptylog)

* Mon Feb 28 2011 eandry <eandry> 0.1.6-13.mga1
+ Revision: 61765
- add provides
- clean spec
- apply library policy
- imported package libsvg-cairo

